Welcome

Welcome to the Heavy Weather Review application (Review), the essential tool for analysis & visualization. Review works together with Heavy Weather Software and uses the collected data to generate custom-made weather report. The graphs can be saved for future reference. Review is designed for the weather enthusiasts and home users. It is easy to use and will bring an added dimension to your weather report.

How does the Review Program work?

Review is used together with the latest version of the Heavy Weather Version 2.0 Beta Release (download from the Heavy Weather website at http://www.heavyweather.info). The new Heavy Weather software collects weather data from the weather station and stores them in a history data file (C:\HeavyWeather\history.dat by default). The Review then use the stored history data file to generate different kind of graphical report for your analysis.


Overview

The three main building blocks of Review are History file, templates and graphs.

What is a History file?

To start the Review program, we need a history file. The history file is generated by the Heavy Weather program. It basically contains numbers of sets of weather data collected by the weather station during a period of time. The Review program then uses these data to plot graphs over a specific period of time for analysis. You may have a few different history files, for eg., one from your own weather station, another from your friends’, and one during a big storm. All of the history file should be stored in the directory that you install the Review program, i.e., C:\HeavyWeather by default.

What is a Template? (Icon - [image])

To plot a graph you need to specify certain properties such as type of data (temperature or humidity or, …etc), duration of time, color and axis of the graph, minimum and maximum of the axis value, ..etc. A template defines these properties and let you use them next time without entering again.

After a template is created, you can save and rename it for future use. You can create unlimited number of templates to suit your own application. Before creating a template you must have at least one history file in the C:\HeavyWeather directory.

What is a Graph? (Icon - [image])

Graph is a permanent copy of the current plot. After a history file is selected and a template is created, a plot is generated on the screen. As the plot may change if you modify the template, change the history file or at different time and date, you should click the “save it as Graph” [image] icon over Navigator bar if you want to keep a permanent copy of the current plot. You may have tens of graphs saved and you can retrieve them for viewing or printing at later time.


Installation

To run HeavyWeatherReview, your computer must meet these system requirements

· PC with operating system of Windows 98 or above

· Minimum browser requirements: Internet Explorer 4.0 or above

· The Heavy Weather Version 2.0 Beta Release

· Wireless Weather Station (Hardware)

Installing Heavy Weather Review

To install HeavyWeatherReview, you must follow all of the below instructions.

  1. You should install a Heavy Weather Version 2.0 beta release on your computer first and make sure the program can retrieval data from the weather station to a history file.
  2. Place the Review program CD into your CD-ROM drive. Review program will automatically displays setup screen. If the screen doesn’t appear, browse for the file setup.exe and double click on it, then you will see below figure.
  3. Follow instructions on the screen to finish the installation.

The Default install location is C:\HeavyWeather, same as that of Heavy Weather Version 2.0 beta Release. Please make sure that you install Review in the same directory as the Heavy Weather software.

Start the Review Program

After installation, run Review program by clicking Start | Program Files | Heavy Weather | Heavy Weather Review from the window task bar or find the Review program icon.

Program icon

You may also find the icon in the quick launch bar and click on it.

Weather Review icon over quick launch bar


Getting started

Main Screen

Below screen is a typical screen after the Review program is executed.

There are two main windows in above figure, the left one is the file management window which allows you to select and show the history, template or graph files. The right one is the chart/data windows which shows you the current plot or current data.

File management window displays the corresponding files in the C:\HeavyWeather directory. If the history tab is selected, it shows all history files and you can select the current history files there. See “Working with history files” section.

If template tab is selected, you will see all templates in the C:\HeavyWeather\HWR\Templates directory. You can also open a template by double-click it, a plot will be generated in the plot/data window according to your template setting with the data in selected history file.

If graph tab is selected you would see all saved graphs. By double-click the graph name you will see it in the plot/data window.

On the plot/data window it will always shows the current plot using selected history file according to the selected template setting. If you click the data tab you will see the corresponding data used in the plot.

Data screen shown below

Pull Down Menu

File

· New Template (Short Cut Key – Ctrl+N) (Icon on Navigator bar - [image])
Create a new Template.

· Open (Short Cut Key – Ctrl+0)
To load a saved Template or Graph

· Save as Graph (Short Cut Key – Ctrl+S) (Icon on Navigator bar- [image])
To save the current plot into Graph format

· Print (Short Cut Key – Ctrl+P) (Icon on Navigator bar - [image])
To print a current plot or Graph.

· Exit (Icon one the top right hand corner - [image])
Exit the Review program

Edit Properties (Icon - [image])

This option allows you to set/alter all properties of your template. For graph, you can not alter the properties anymore but you can still view its properties.

General

· Title

Change the title of the Template

· Font

To change font type, size and style of Template

· Background color

To change background color of Template

· Grid

To select display grid in plot.

Graph tab

  • Left Axis / Right Axis

You can have two vertical axis on a plot, for each axis you should first select a data type. After choosing a certain data type you can select to display any or all sub-category inside the data type. For eg., you can select the temperature data type and choose to display indoor and outdoor temperature on the left axis while select the rainfall data type in right axis and display only the relative rainfall sub-category.

Data type and sub-category

Category | Sub-category
Not Used | No data is select from the history file.
Temperature | Indoor Temperature, Outdoor Temperature, Dew point and/or Wind chill
Humidity | Indoor Humidity and/or Outdoor Humidity
Pressure | Absolute Pressure and/or Relative Pressure
Wind speed | Wind speed
Rainfall | Absolute Rainfall and/or Relative Rainfall

· Min

Insert minimum Y-axis value

· Max

Insert maximum Y-axis value

If no min/max value for the axis is defined, the Y-axis scale would be set automatically.

Data tab

· Data Type

Select a time period for the plot with the following choice.

All Data – select all data available inside the history file.

Previous Hour/Day/Week/Month/Year – display all data in previous hour / Day / Week / Month / Year relative to current time

Current Day/Week/Month/Year – display all data in current Day / Week / Month / Year relative to current time

Compare Day/Week/Month/Year – select two individual Day / Week / Month / Year for comparison

Specific Period – select specific start date/time and end date/time

From to Row Number – select the displayed data in terms of data row number in history file, you may first check all data by clicking the data tab in plot windows then decide which row to start and end.

· Data Interval

Since there may be huge number of points in the history file, for eg., if you collect weather data every 5 minutes by the Heavy Weather software you will get 51840 sets of data after 6 months. And we do not really need so many data points for a single plot. In this case you can set the data interval to 1 hour, the Review program will select one data per hour inside your history file to generate a plot. It still contains 4320 data points that should be adequate for printing or viewing purpose.

· Break Graph Interval

If there is a large gap in history data there will be a long straight line connecting these two data points. The break graph interval defines how big the gap must be before the graph will be broken. This avoids those long straight lines. The segmented graphs come when 1. A (maybe too small) break graph interval is selected and 2. there are either a lot of gaps bigger than the selected interval or (even worse) the interval for recording of history data is bigger than the break graph interval (for every data point there will be a break in the graph)

· Status

It shows you the number of data points in the history file that falls inside your selected period of time. If there is no data points fulfilling your criteria, the program will not allow you to confirm (click the OK button) your selection and the status line would become red in color.

View

· History Files
Select or deselect the history tab/windows inside the file management windows.

· Template Files

Select or deselect the template tab/windows inside the file management windows.

· Graph Files

Select or deselect the graph tab/windows inside the file management windows.

· Show Data ToolTips (Icon - [image])

If this option is selected, when you put the mouse pointer over the plot/graph line, a small pop-up windows will show you information of the data points with corresponding date, time, subject and value.

Extra

· Option
This is the general setting for the display of the language, unit measure, date format on ALL plot/graph/template. Once it is selected, it would affect all opened graphs and template.

· Language

Available in English, German and French languages.

· Show Help as ToolTips

Check this box to have tooltips help whenever it is available.

· Date

Select different date format: DD.MM.YYYY / DD.MM.YY / MM.DD.YY / MM.DD.YYYY / YYYY-MM-DD

· Time

Select time format in 12 hours or 24 hours

· Temperature

Select temperature unit in °C or °F

· Air Pressure

Select air pressure unit in hpa or inhg

· Wind speed

Select wind speed unit in m/s, km/h, mph and knots

· Rain

Select rain unit in mm or inch

· Pressure Difference

Enter the difference between the absolute air pressure and the relative air pressure.

· Weather Data Filename

Set the location of the file 'currdat.lst'. The default location is C:\HeavyWeather directories.

· History Files

Location to find and stored the Heavy Weather History files.

· Template Files

Location to find and stored the Review program template files

· Graph Files

Location to find and stored the Review program graph files

? (Help icon)

· Help (Icon - [image])
Open the Help Document

· Visit the Heavy Weather Homepage

Link to Heavy Weather Website

· About Heavy Weather Review

Display copyright and version of Heavy Weather Review

Demo files

You will find some demo files after the installation. A demo history file named Demodata.dat, a sample template and a sample graph is included.

You may use it to try the feature of the Review program.

Working with history file

Where is the history File?

The default history file from HevayWeather software is named history.dat and is located in C:\HeavyWeather directory. If you put your history file in other places, you should either set the directory name by Extra option or you copy your history file in the default directory C:\HeavyWeather. Make sure you restart the Review program after you move your history files.

After you start the program, you should first select a history file. Select the history tab of the file management window as below, then highlight the Demodata.dat history file and click the “ [image] ” button.

In later time, you may choose any history file at any time by first highlight it then click the “ [image] ” button. The current plot will be updated using the new history file you selected.

Please note that you can also double click on the history file name to select it, but for any method only ONE history file can be selected at a time.

Working with templates

Create a Template

After you selected a history file you may start to creating a template

  1. Click the [image] button or Ctrl-N or select New Template from the pull down menu to create a template.
  2. Fill in the title, select background color, select a data type and its sub-category, select minimum and maximum axis value as shown below. Refer to Section “Edit properties” for more detail description.

  3. Click Data tab [image] button and choose default All Data for the period. Press OK to generate this Template. See also the ‘Data tab” section for more detail description on the data tab page.

After then you will see a plot as below:

Open a template

You can always open a template by double click on it, multiple templates can be opened at the same time. See “multiple template and graph” section for more detail description.

Working with graphs

After you selected the history file and created a template, a plot is automatically generated in the plot/graph window as shown below. Note that the plot is a template plot identified by its icon.

If you want to keep a permanent copy of this particular plot, just click [image] button or select “Save as Graph” in pull down menu or press Ctrl-S to save it as a graph. The plot would become a graph plot immediately identified by its icon. You can also find its name listed in the graph file management window.

Open a graph

You can always double click on a graph’s name to open it. You can open many graphs at the same time. See “Multiple graphs and template” section for detail description.

Identifying template and graph

Review allows you to open as many templates and graphs as you like. They will have individual tab on the plot/graph windows. A template and a graph have different icons as shown below.

Different icon:

Icon

Description of Icon

Graph Icon

Template Icon

Drag the plot beyond the border

By press and hold the right button of your mouse, you can drag a plot/graph in any direction as shown in the below figure

Zoom in and Zoom out over graph or template

Use a Mouse to Zoom in and Zoom out over a graph.

  1. To zoom in the graph, you can draw a zoom window from top-left corner to down-right corner with your mouse left button being pressed and hold. The selected part of the plot/graph will be zoomed in. You can continue to zoom in further by repeating this action.
  2. If you want to Zoom out the plot/graph, just draw a box with opposite direction, i.e., hold your mouse left button and draw a box from its down-right corner to its top-left corner. Then the original plot will show up.

Print a graph or template

Review allows you to print a graph, a template or data points. First select the plot/graph or data point you want to print.

  1. Click [image] print button or Ctrl-P or select Print from the pull down menu to start printing. For graph printing, a print preview window would pop-up as shown below, you can then select the appropriate setting such as margin and paper orientation, then press “Print” button to print.
  2. Click [image] or close button to finish printing section.


Customizing

Rename the filename of a template or a graph

In general a new Template will be generated with name New Template.hwt and subsequent templates will have a sequence number appended to the filename (e.g. New Tempate1.hwt). However, you are allowed to rename the filename of template and graphs as follows,

  1. First highlight the template or graph you want its name changed, then click on its name and type to change it.
  2. Press Enter to save it in Review Program

# Remark

A correct extension must be used, i.e., *.HWT for template file and *.HWG for graph files. If you miss the extension or use a different extension, you will not be able to find the saved templates or graphs in the file management window next time you start the Review program.

An example of re-name a template or a graph:

Original name – New Template.hwt (or hwg)

Re-name – Tom’s Template.hwt (or hwg)

Organizing templates and graphs by folder

In the template/graph file management window you will find the [image] icons. You can use them to create a folder or delete a folder for your template/graph files management.

Click Create Folder [image] button then it will create a folder without a name on the file management window. You can then name this folder and use it to store graphs or templates.

After you create a folder just drag and drop a template or a graph into it as shown below.

Delete template, graph or folder

First highlight the item you want to delete, then click the [image] button to delete. A confirmation window would pop-up as shown below. Click “Yes” to confirm and your file/folder will be deleted.

Multiple graphs and templates

Review allows you to open many templates/graphs simultaneously. They all have a tab with its title as shown below.

You can use the left and right icon [image] to browse different pages of templates and graphs, then click on the graph/template name you want to see.

If you want to close a particular graph/template, first select it then click [image] button to close it.

Changing the properties of a template or a graph

By clicking the properties button you can modify the properties of a template, the changes are active after you click the OK button. See “Edit properties” section for detail description of the properties pages.

Review does not allow the properties of a graph to be modified. It only allows you to view the properties. See below figure.

Changing unit measure and date format of the plot/graph

Select Extra Option from the pull down menu and you will see the below figure for you to modify the general display option of the plot/graph, for details description please see “Extra option” section.

Show Data Tool Tip option

If this option is activated, a data tool tip would pop-up if the mouse cursor is located on a data point in the plot/graph as shown below.

Customizing views

View a plot or graph in full screen

You may close the file management window by click the close button over its function bar (Template, Graph and History Bar).

Then the current plot/graph will be displayed in full screen as shown below

Moving file management window to different location

To display the file management windows in different area, drag and drop it to different location as shown in below figure.

To see the file management window separately, you may drag and drop it outside the Review program window. See below figure.


Useful Information & Tips

· If weather data from your weather station cannot be displayed in Review Program, then check that you have the latest Heavy Weather version 2.0 beta release software from Heavy Weather homepage http://www.heavyweather.info. If not, please download the latest version from the HeavyWeather homepage http://www.heavyweather.info and install it.

· Review Program already has a Short cut keys and Symbol Icon over a Navigation bar which can assist User to use Review Program.

· Click [image] Printer icon over Navigator Bar can print a Chart or Template.

· Click [image] button can link to online help website.

· If you want to change the display language just click on the “Extra” over the navigation bar and click “Option” button to select “Language”. You can select between English, German and French.

· Minimum browser requirements: Internet Explorer 4.0 and up.

· Review Program must be setup in C:\HeavyWeather to read History file created by latest Heavy Weather software.

· For latest news and software updates, check Heavy Weather website on http://www.heavyweather.info


Legal Notices

Copyright
© La Crosse Technology USA. All rights reserved.

· We reserve the right to delete or change any image whether or not uploaded onto the La Crosse Technology server by a user of the Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products.

· The Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products are protected by copyright laws and international copyright treaties and well as other intellectual property laws and treaties.

· The Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products are licensed for use with the La Crosse Technology Wireless Weather Station only.

· The Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products may not be separated for use on any other product not authorized by La Crosse Technology

· La Crosse Technology may provide you with support services related to the Heavy Weather, Heavy Weather Publisher and the Heavy Weather Review software products.

· All title and copyrights in and to the Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products (including but not limited to any images, photographs, animations, video, audio, music and text incorporated into the Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products), the accompanying printed materials, and any copies of the Heavy Weather, Heavy Weather Publisher and the Heavy Weather Review software products are owned by La Crosse Technology or its suppliers

· You may not copy the printed materials accompanying the Heavy Weather, the Heavy Weather Publisher and the Heavy Weather Review software products.